> For the complete documentation index, see [llms.txt](https://docs.validationcloud.io/v1/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.validationcloud.io/v1/tron/tron-full-node-http-api/account-resources/freezebalancev2.md).

# FreezeBalanceV2

In Stake2.0, stake an amount of TRX to obtain bandwidth or energy, and obtain equivalent TRON Power(TP) according to the staked amount.

This method will use `30` [Compute Units](/v1/about/billing.md).

***

## **Parameters**

* `owner_address` - String, required - Owner address, default hexString
* `frozen_balance` - int64, required - TRX stake amount, the unit is sun
* `resource` - String, required - TRX stake type, 'BANDWIDTH' or 'ENERGY'
* `Permission_id` - int32 - Optional, for multi-signature use
* `visible` - Boolean - Optional. Specifies whether the address is in Base58 format (default: false).

## **Returns**

Transaction object - JSON object: Unsigned transaction, please refer to the [Transaction](https://developers.tron.network/docs/tron-protocol-transaction) chapter for the fields contained in it. Since the transaction type is `FreezeBalanceV2Contract`, the fields contained in `raw_data.contract[0].parameter.value` in the transaction are as follows:

| Field           | Type   | Description               |
| --------------- | ------ | ------------------------- |
| owner\_address  | string | Account address           |
| string          | string | Resource type             |
| frozen\_balance | int64  | stake amount, unit is sun |

```json
// Result
{
  "visible": true,
  "txID": "473bbb59203742c76b1ecbf2e0a5bc3962f37167ece01261d6680c9c8fcbe290",
  "raw_data": {
    "contract": [
      {
        "parameter": {
          "value": {
            "resource": "ENERGY",
            "frozen_balance": 10000000,
            "owner_address": "TZ4UXDV5ZhNW7fb2AMSbgfAEZ7hWsnYS2g"
          },
          "type_url": "type.googleapis.com/protocol.FreezeBalanceV2Contract"
        },
        "type": "FreezeBalanceV2Contract"
      }
    ],
    "ref_block_bytes": "5abf",
    "ref_block_hash": "137f27cb4608aa7d",
    "expiration": 1756821201000,
    "timestamp": 1756821142996
  },
  "raw_data_hex": "0a025abf2208137f27cb4608aa7d40e8c0d0d590335a5a083612560a34747970652e676f6f676c65617069732e636f6d2f70726f746f636f6c2e467265657a6542616c616e63655632436f6e7472616374121e0a1541fd49eda0f23ff7ec1d03b52c3a45991c24cd440e1080ade204180170d4fbccd59033"
}
```

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.tron.validationcloud.io/v1/<YOUR_API_KEY_HERE>/wallet/freezebalancev2 \
    -X POST \
    -H "Content-Type: application/json" \
    -d '
{
  "owner_address": "TZ4UXDV5ZhNW7fb2AMSbgfAEZ7hWsnYS2g",
  "frozen_balance": 10000000,
  "resource": "ENERGY",
  "visible": true
}
'
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validationcloud.io/v1/tron/tron-full-node-http-api/account-resources/freezebalancev2.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
